Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Event Operations

GetEventData

GetEventData

GET/zstack/v1/zwatch/events

Operation ID

GetEventData

Since

2.3

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • startTime
    Long

    Optional. The start time.

  • endTime
    Long

    Optional. The end time.

  • limit
    Integer

    Optional. The maximum number of returned items.

  • offsetAheadOfCurrentTime
    Long

    Optional. The offset (in milliseconds) between the query time and the current time. Note that the query time is earlier than the current time. For example, if you query messages collected in the last one hour, 3600000 (the offset) will be transferred to the system.

  • conditions
    List

    Optional. The filter conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • total
    LongRequired

    The number of the events.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • events
    ListRequired

    See events.

    • namespace
      StringRequired

      The namespace.

    • name
      StringRequired

      The event name.

    • labels
      MapRequired

      The labels.

    • resourceId
      StringRequired

      The UUID of the resource whose event was generated. If not null, the corresponding alarming messages for the associated resources are triggered.

    • resourceName
      StringRequired

      The resource name.

    • error
      StringRequired

      If the event means the error, this field is the details about the error.

      • code
        StringRequired

        The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

      • description
        StringRequired

        The brief description of the error.

      • details
        StringRequired

        The details about the error.

      • elaboration
        StringRequired

        The reserved field. Default value: null.

      • opaque
        LinkedHashMapRequired

        The reserved field. Default value: null.

      • cause
        ErrorCodeRequired

        The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

    • time
      longRequired

      The time when the event was triggered.

    • dataUuid
      StringRequired

      The data UUID.

    • accountUuid
      StringRequired

      The account UUID.

    • emergencyLevel
      EmergencyLevelRequired

      See emergencyLevel.

      • name
        StringRequired

        The resource name.

      • ordinal
        intRequired

        The ordinal number.

  • Change Time

    AddedRequest parameters start
    View API